org.apache.catalina.valves

## Interface AbstractAccessLogValve.CachedElement

All Known Implementing Classes:
  AbstractAccessLogValve.HostElement, AbstractAccessLogValve.PortElement, AbstractAccessLogValve.RemoteAddrElement

Enclosing class:
  AbstractAccessLogValve

    protected static interface AbstractAccessLogValve.CachedElement

Marks an AccessLogElement as needing to be have the value cached at the start of the request rather than just recorded at the end as the source data for the element may not be available at the end of the request. This typically occurs for remote network information, such as ports, IP addresses etc. when the connection is closed unexpectedly. These elements take advantage of these values being cached elsewhere on first request and do not cache the value in the element since the elements are state-less.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cache(Request request)`

### Method Detail

#### cache

    void cache(Request request)